Bug 1297207 - Please add a man page for diffpdf
Please add a man page for diffpdf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: diffpdf (Show other bugs)
24
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-10 10:15 EST by Jonathan Wakely
Modified: 2016-12-06 05:26 EST (History)
1 user (show)

See Also:
Fixed In Version: diffpdf-2.1.3-9.fc25 diffpdf-2.1.3-9.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-05 16:42:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed man page based on the existing documentation. (1.10 KB, text/plain)
2016-01-10 10:16 EST, Jonathan Wakely
no flags Details
Patch for spec file to add man page. (2.76 KB, patch)
2016-01-10 10:49 EST, Jonathan Wakely
no flags Details | Diff

  None (edit)
Description Jonathan Wakely 2016-01-10 10:15:20 EST
There is no man page for diffpdf, only a %doc file in HTML used for the online help.
Comment 1 Jonathan Wakely 2016-01-10 10:16 EST
Created attachment 1113330 [details]
Proposed man page based on the existing documentation.
Comment 2 Jonathan Wakely 2016-01-10 10:49 EST
Created attachment 1113334 [details]
Patch for spec file to add man page.
Comment 3 Fedora End Of Life 2016-11-24 09:49:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jonathan Wakely 2016-11-24 10:49:28 EST
I'm happy to make this change to the package myself, if you are too busy.
Comment 5 Till Maas 2016-11-24 14:40:11 EST
(In reply to Jonathan Wakely from comment #4)
> I'm happy to make this change to the package myself, if you are too busy.

Yes, this would be great. I just took a look at it, and it looks good as far as I can tell. I do not have much experience with writing man pages, I am only wondering if the author should be the author of the man page instead of the author of the program. Nevertheless, I guess it would be good if you could assign a license to the man page for example in a COPYRIGHT section.
Comment 6 Fedora Update System 2016-11-25 08:05:48 EST
diffpdf-2.1.3-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c05a77f9e8
Comment 7 Fedora Update System 2016-11-25 08:05:53 EST
diffpdf-2.1.3-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-130a1a117d
Comment 8 Fedora Update System 2016-11-27 17:59:17 EST
diffpdf-2.1.3-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c05a77f9e8
Comment 9 Fedora Update System 2016-11-27 20:56:07 EST
diffpdf-2.1.3-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-130a1a117d
Comment 10 Fedora Update System 2016-12-05 16:42:41 EST
diffpdf-2.1.3-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-12-06 05:26:08 EST
diffpdf-2.1.3-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.